import App from './App'
import http from './utils/http.js'
import api from './config/api.js'
import moment from './utils/moment.js'

uni.$http = http;
uni.$api = api;
uni.$moment = moment;

// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif
